Package org.kapott.hbci.manager

## Class FlickerCode.Startcode

- java.lang.Object
- - org.kapott.hbci.manager.FlickerCode.DE
  - - org.kapott.hbci.manager.FlickerCode.Startcode

Enclosing class:
  FlickerCode

    public class FlickerCode.Startcode
    extends FlickerCode.DE

Bean fuer die Eigenschaften des Startcodes. Selbstverstaendlich sind hier so einige Sachen anders codiert als im DE. Waer ja auch zu einfach sonst. Die Laengen-Angabe ist anders codiert (hex statt dec). Und nach der Laenge kommen nicht sofort die Nutzdaten sondern erst noch die Control-Bytes.

### Field Summary

Fields
`java.util.List<java.lang.Integer>` `controlBytes` Die Control-Bytes.

### Fields inherited from class org.kapott.hbci.manager.FlickerCode.DE

`data, encoding, lde, ldeLen, length`

### Constructor Summary

Constructors
`Startcode()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### controlBytes

    public java.util.List<java.lang.Integer> controlBytes

Die Control-Bytes. In der Regel sollte das nur eines sein.

### Constructor Detail

#### Startcode

    public Startcode()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `FlickerCode.DE`
See Also:
  `FlickerCode.DE.toString()`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `FlickerCode.DE`
See Also:
  `FlickerCode.DE.equals(java.lang.Object)`